Skip to main content
GET
/
api
/
v1
/
authorization
/
llm
/
check
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.permissions.llm.check({
    resourceType: "vector_store",
    resourceId: "<id>",
    role: "writer",
  });

  console.log(result);
}

run();
{
  "allowed": true
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Query Parameters

resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response
resourceId
string
required

Unique identifier for the resource

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
role
enum<string>
required

Permission role for the resource (owner > writer > reader)

Available options:
owner,
writer,
reader

Response

Successfully checked permission

allowed
boolean
required

Whether the user has the specified permission